Subject: Re: [Govpn-devel] VPS configuration

From: [email-masked]
Date: Tue, 24 Nov 2015 14:05:24 +0300

*** Gary <[email-masked]> [2015-11-24 11:33]:
>HI,
>Thanks a lot! But how to configure it on VPS?
>And I still cannot understand very much for building up.sh script.

GoVPN waits from up.sh only the name of the TAP interface: it will open
it and use. GoVPN daemon itself does not create TAP interfaces and does
not do any network configuration. So all network configuration is on the
administrator. If you need only single tunnel with static IP addresses,
then create it (TAP interface), configure and GoVPN needs to know only
it's name, that it retrieves from up.sh, that will be something like
that in that case:

    #!/bin/sh
    echo tap0

-- 
Happy hacking, Sergey Matveev